(* FLAG --omit-frame-pointer *)


Unit JanJaap5u;

Interface

Procedure O ( foo: Integer ); attribute stdcall;  (* Not on all platforms *)

Implementation

Procedure O ( foo: Integer );

begin (* O *)
  write ( 'O' );
end (* O *);

end.


Program JanJaap5;

uses
  JanJaap5u;

Var
  K: Char value 'K';
  CallOptr: ^Procedure;

Procedure CallO;

begin (* CallO *)
  O ( 42 );
end (* CallO *);

begin
  CallOptr:= @CallO;
  CallOptr^;
  writeln ( K );
end.
